summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2018-12-25 21:40:22 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2018-12-25 21:40:44 +0100
commitbce34290b1ac77ddf8e9f018b93356b7e859dadc (patch)
tree81420507394fa4b158ae11807662522a3f7765a9 /www-apps
parentnet-mail/offlineimap: version bump to 7.2.2 (diff)
downloadgentoo-bce34290b1ac77ddf8e9f018b93356b7e859dadc.tar.gz
gentoo-bce34290b1ac77ddf8e9f018b93356b7e859dadc.tar.bz2
gentoo-bce34290b1ac77ddf8e9f018b93356b7e859dadc.zip
www-apps/bugzilla: Fix tests for Perl 5.26, bug 632064
The required modules are not installed into any Perl default search paths, but into the BZ web directory. This means that not finding the modules is a test-specific problem; in actual usage they will be found otherwise. Closes: https://bugs.gentoo.org/632064 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/bugzilla/bugzilla-4.4.12-r2.ebuild11
-rw-r--r--www-apps/bugzilla/bugzilla-5.0.3-r2.ebuild11
-rw-r--r--www-apps/bugzilla/files/bugzilla-5.0.3-leftbrace.patch26
3 files changed, 42 insertions, 6 deletions
diff --git a/www-apps/bugzilla/bugzilla-4.4.12-r2.ebuild b/www-apps/bugzilla/bugzilla-4.4.12-r2.ebuild
index 2d6b66fd871..9668d236f5d 100644
--- a/www-apps/bugzilla/bugzilla-4.4.12-r2.ebuild
+++ b/www-apps/bugzilla/bugzilla-4.4.12-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -75,6 +75,10 @@ RDEPEND="
want_apache modperl
need_httpd_cgi
+PATCHES=(
+ "${FILESDIR}/${PN}"-5.0.3-leftbrace.patch
+)
+
pkg_setup() {
depend.apache_pkg_setup modperl
webapp_pkg_setup
@@ -86,11 +90,12 @@ src_prepare() {
# Remove bundled perl modules
rm -r lib/ || die
- eapply_user
+
+ default
}
src_test() {
- perl runtests.pl || die
+ perl -I. runtests.pl || die
}
src_install () {
diff --git a/www-apps/bugzilla/bugzilla-5.0.3-r2.ebuild b/www-apps/bugzilla/bugzilla-5.0.3-r2.ebuild
index 0675641f321..feb026881ff 100644
--- a/www-apps/bugzilla/bugzilla-5.0.3-r2.ebuild
+++ b/www-apps/bugzilla/bugzilla-5.0.3-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -79,6 +79,10 @@ RDEPEND="
want_apache modperl
need_httpd_cgi
+PATCHES=(
+ "${FILESDIR}/${PN}"-5.0.3-leftbrace.patch
+)
+
pkg_setup() {
depend.apache_pkg_setup modperl
webapp_pkg_setup
@@ -90,11 +94,12 @@ src_prepare() {
# Remove bundled perl modules
rm -r lib/ || die
- eapply_user
+
+ default
}
src_test() {
- perl runtests.pl || die
+ perl -I. runtests.pl || die
}
src_install () {
diff --git a/www-apps/bugzilla/files/bugzilla-5.0.3-leftbrace.patch b/www-apps/bugzilla/files/bugzilla-5.0.3-leftbrace.patch
new file mode 100644
index 00000000000..f5704406d87
--- /dev/null
+++ b/www-apps/bugzilla/files/bugzilla-5.0.3-leftbrace.patch
@@ -0,0 +1,26 @@
+From 3c60fba26b1fa51ec302d05dc6e76236d2f54ba4 Mon Sep 17 00:00:00 2001
+From: Simon Green <mail@simon.green>
+Date: Sun, 30 Oct 2016 14:55:23 +1000
+Subject: [PATCH] Bug 228444 - Checking for unquoted non regex variable
+ interpolated into regex
+
+---
+ t/010dependencies.t | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/t/010dependencies.t b/t/010dependencies.t
+index 4b7ca223d..1b6c270a8 100644
+--- a/t/010dependencies.t
++++ b/t/010dependencies.t
+@@ -69,7 +69,7 @@ foreach my $module (keys %mods) {
+ $used =~ s#/#::#g;
+ $used =~ s#\.pm$##;
+ $used =~ s#\$module#[^:]+#;
+- $used =~ s#\${[^}]+}#[^:]+#;
++ $used =~ s#\$\{[^}]+}#[^:]+#;
+ $used =~ s#[" ]##g;
+ push(@use, grep(/^\Q$used\E$/, keys %mods));
+ }
+--
+2.20.1
+